#!/bin/bash

set -e

# 检查是否为root用户
#if [ "$(whoami)" != "root" ]; then
#  echo "please use root to run this program"
#  exit 1
#fi

# 获取当前用户的桌面路径
desktop_dir=$(eval echo ~$(logname))/桌面
output_file="$desktop_dir/system_information.txt"

# 开始收集系统信息
echo "内核信息:" > "$output_file"
uname -r >> "$output_file"

echo "网络信息:" >> "$output_file"
ifconfig >> "$output_file"

echo "镜像名称:" >> "$output_file"
grep -oP '(?<=dist_id=)[^ ]+' /etc/.kyinfo >> "$output_file"

echo "系统安装时间:" >> "$output_file"
file=$(find /var/log/installer/ -name "kylin-os-installer_"* -print -quit)
filename=$(ls "$file")
date=$(echo "$filename" | sed -E 's/.*_([0-9]{4}-[0-9]{2}-[0-9]{2}).*/\1/')
echo "$date"
time=$(ls -l "$filename" | sed -E 's/.* ([0-9]{2}:[0-9]{2}) .*/\1/')
echo "$time"
install_time=$(echo "$date"  "   " "$time")
echo "$install_time" >> "$output_file"

# 输出完成信息
echo "系统信息已保存到 $output_file"
